> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/compute/flexmetal/tag-management.md).

# Tag management

You can manage your resource Tags via the following endpoints:

* List all tags: [`GET /v3/flexMetal/tags`](https://docs.i3d.net/api/api_flexmetal#get-v3-flexmetal-tags)
  * This will display all your tags with corresponding server count per tag.
* Remove a tag: [`DELETE /v3/flexMetal/tags/{tag}`](https://docs.i3d.net/api/api_flexmetal#delete-v3-flexmetal-tags-tag)
  * The tag will be removed from the system and will be removed from all servers that have the associated tag.
* Rename a tag: [`PUT /v3/flexMetal/tags/{tag}`](https://docs.i3d.net/api/api_flexmetal#put-v3-flexmetal-tags-tag)
  * This will rename the tag. Note that this renames the tag for all associated servers as well.
  * The request body must be: `{ "tag": "my_renamed_tag" }`
* Add a tag to a server: `POST /v3/flexMetal/servers/{uuid}/tag/{tag}`
* Remove a tag from a server: `DELETE /v3/flexMetal/servers/{uuid}/tag/{tag}`

{% hint style="info" %}

* Tags are case-sensitive.
* Tags can be up to 64 characters long and can contain only the following characters:\
  `[A-Za-z0-9_:-]{1,64}`
* A FlexMetal server can have up to 60 tags.
  {% endhint %}

## Related topics

* [What is FlexMetal?](/compute/flexmetal.md)
* [Getting started using API](/compute/flexmetal/api.md)
* [OS Customization using Linux](/compute/flexmetal/os-customization.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.i3d.net/compute/flexmetal/tag-management.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
